--#include "Prelude.agda" 
--#include "Bool.agda"
--#include "AlgLaw.agda" 
--#include "IsTrue.agda" 
package IntegerOps where
 
  native (+) :: Integer -> Integer -> Integer
  native (*) :: Integer -> Integer -> Integer
  native (-) :: Integer -> Integer -> Integer
  native negate :: Integer -> Integer 
  native (<) :: Integer -> Integer -> Bool
  native (>) :: Integer -> Integer -> Bool
  native (===) :: Integer -> Integer -> Bool


  ---------------------------------------------------------------------------
  -- Integer ----------------------------------------------------------------
  ---------------------------------------------------------------------------

  (>=) :: Integer -> Integer -> Bool
  i >= i' = (i > i') || (i === i')

  (<=) :: Integer -> Integer -> Bool
  i <= i' = (i < i') || (i === i')
