--#include "Prelude.agda"
--#include "Relation.agda"

{- Accesibility -}

data AccRel (|X::Set)((<)::Rel X)(x::X)  :: Set = 
    Acc (f::(y::X) -> (<) y x -> AccRel (<) y)

WF (X::Set) :: (R::Rel X) -> Set 
WF R = (x::X) -> AccRel R x
  
isAcc(X::Set) :: ((<)::Rel X) -> X -> Set 
isAcc (<) a = AccRel (<) a
  
ind (X::Set)((<)::Rel X) :: 
      (P::Pred X) ->
      (hyp::(x::X) -> AccRel (<) x -> ((y::X) -> y < x -> P y) -> P x) ->
      (a::X) ->
      (acca::isAcc (<) a) ->
      P a
ind P hyp a acca = 
    case acca of 
           (Acc u) -> hyp a acca (\(y::X) -> \(h1:: y < a) -> ind P hyp y (u y h1))

-- the ordinary induction principle
progressive (X::Set) :: ((<)::Rel X) -> (P::X -> Set) -> Set 
progressive (<) P = (x::X) -> ((y::X) -> y < x -> P y) -> P x
  
accInd (X::Set)((<)::Rel X) :: (P:: Pred X) ->
    (hyp::progressive (<) P) -> (x::X) -> (a::isAcc (<) x) -> P x
accInd P hyp x a = case a of 
                       (Acc f) -> hyp x (\(y::X) -> \(h::y < x) -> accInd P hyp y (f y h))


remAcc (X::Set) :: ((<)::Rel X) -> progressive (<) (isAcc (<))
remAcc (<) = \(x::X) -> Acc

